Class | DBI::DBD::SQLRelay::Statement
In: | SQLRelay.rb
Parent: | DBI::BaseStatement

### Methods

bind_param column_info execute fetch fetch_all fetch_many fetch_scroll finish new rows

### Public Class methods

new(handle, stmt)

### Public Instance methods

bind_param(param, value, attribs)

Binds value to param defined earlier in the prepare call. attribs is currently unused.

column_info()

Returns an array of hashes. Each hash contains a ‘name’, ‘type_name’ and ‘precision’ key.

execute()

Send a SQL query to the server and returns the number of rows returned. Raises a DBI::ProgrammingError if it failed.

fetch()

Returns one row of the result set.

fetch_all()

Returns the rest of the result set.

fetch_many(cnt)

Returns the next "cnt" rows rest of the result set.

fetch_scroll(direction, offset=1)

Returns one row of the result set. Which row depends on direction and offset. For DBI::SQL_FETCH_NEXT the next row is returned. For DBI::SQL_FETCH_PRIOR the prior row is returned. For DBI::SQL_FETCH_FIRST the first row is returned. For DBI::SQL_FETCH_LAST the last row is returned. For DBI::SQL_FETCH_ABSOLUTE the "offset" row is returned. For DBI::SQL_FETCH_RELATIVE the row "offset" rows from the current row is returned.

finish()

Invalidates the statement.

rows()

Returns the number of rows in the current result set.

[Validate]